Debian Bug report logs - #619602
ITP: theunarchiver -- archive extractor with built-in support for multiple formats

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Sylvain Beucler <beuc@debian.org>

Date: Fri, 25 Mar 2011 14:42:02 UTC

Owned by: "Julián Moreno Patiño" <darkjunix@gmail.com>

Severity: wishlist

Merged with 627461, 631460

Fixed in version theunarchiver/2.7.1-1

Done: Matt Kraai <kraai@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Fri, 25 Mar 2011 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Beucler <beuc@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Fri, 25 Mar 2011 14:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Beucler <beuc@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: theunarchiver -- archive extractor with built-in support for multiple formats
Date: Fri, 25 Mar 2011 15:40:02 +0100
Package: wnpp
Severity: wishlist


* Package name    : theunarchiver
  Version         : 2.6
  Upstream Author : Dag Ågren <paracelsus@gmail.com>
* URL             : http://wakaba.c3.cx/s/apps/unarchiver.html
* License         : LGPL
  Programming Lang: Objective C
  Description     : archive extractor with built-in support for multiple formats

The Unarchiver extracts archives in Zip, Tar-GZip, Tar-BZip2, RAR,
7-zip, LhA, StuffIt and many other old and obscure formats.

In particular it supports extracting RAR v3 archive using a completely
free, LGPL'd implementation (while other archive managers usually rely
on the non-free library from the RAR authors).

It provides two commands:
* lsar to list an archive content
* unar to extract the archive


The webpage provide this set of instructions to build the package,
which works for me under Debian Squeeze:

  sudo apt-get install build-essential libgnustep-base-dev libz-dev libbz2-dev libssl-dev libicu-dev
  cd XADMaster
  make -f Makefile.linux

I didn't try to build the GUI portion, which is aimed at OS X.


The package contains an unused copy of the proprietary unrar library
(in the BadLicense/ directory), which should be removed before
packaging.  The free code is in XADMaster/XADRAR* .

-- 
Sylvain




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Wed, 11 May 2011 05:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 May 2011 05:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 619602@bugs.debian.org
Subject: Preliminary package
Date: Tue, 10 May 2011 21:49:50 -0700
[Message part 1 (text/plain, inline)]
Hi,

I've prepared a preliminary package of theunarchiver and have attached
the .diff.gz to this message.

It's not ready for upload since the executables enter an infinite loop
when run.  I think this occurs because they link against both
libobjc.so.2 and libobjc.so.3 and I think that a binNMU of
gnustep-base is required to fix this.

-- 
Matt Kraai
https://ftbfs.org/kraai
[theunarchiver_2.7.1-1.diff.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Wed, 11 May 2011 09:30:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 May 2011 09:30:16 GMT) Full text and rfc822 format available.

Message #15 received at 619602@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: debian-devel@lists.debian.org, 619602@bugs.debian.org
Subject: Re: Bug#619602: RFP: theunarchiver -- archive extractor with built-in support for multiple formats
Date: Wed, 11 May 2011 11:00:42 +0200
On Wed, May 11, 2011 at 08:57:56AM +0800, Sylvain Beucler wrote:
> * Package name    : theunarchiver
> * URL             : http://wakaba.c3.cx/s/apps/unarchiver.html
 
> The Unarchiver extracts archives in Zip, Tar-GZip, Tar-BZip2, RAR,
> 7-zip, LhA, StuffIt and many other old and obscure formats.
> 
> In particular it supports extracting RAR v3 archive using a completely
> free, LGPL'd implementation (while other archive managers usually rely
> on the non-free library from the RAR authors).

Now that's interesting.  Do you mean, someone reverse engineered the format
or did work around the restrictions of unrar-nonfree's license?  That
license specifically forbids reading the source to recreate the format. 
This restriction doesn't sound like something very solid, but whatever way
it was avoided needs close scrutiny.

If it's kosher, it would be great to make the free implementation available
as a library.

-- 
1KB		// Microsoft corollary to Hanlon's razor:
		//	Never attribute to stupidity what can be
		//	adequately explained by malice.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Wed, 11 May 2011 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 May 2011 12:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 619602@bugs.debian.org
Subject: Updated package
Date: Wed, 11 May 2011 05:14:18 -0700
[Message part 1 (text/plain, inline)]
Hi,

Attached to this message is an updated .diff.gz that fixes the address
of the FSF in various places, as suggested by the thread at

 http://lists.debian.org/debian-mentors/2011/05/msg00229.html

-- 
Matt Kraai
https://ftbfs.org/kraai
[theunarchiver_2.7.1-1.diff.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Thu, 12 May 2011 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 12 May 2011 13:27:03 GMT) Full text and rfc822 format available.

Message #25 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 619602@bugs.debian.org
Subject: Updated package
Date: Thu, 12 May 2011 06:23:12 -0700
[Message part 1 (text/plain, inline)]
Hi,

Attached to this email is another preliminary package.  I've converted
the source package to the 3.0 (quilt) format and split out the
upstream patches.

I still need to make the programs run successfully, which I think
requires building libgnustep-base against libobjc3, and write manual
pages for lsar and unar.

-- 
Matt Kraai
https://ftbfs.org/kraai
[theunarchiver_2.7.1-1.debian.tar.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619602; Package wnpp. (Sun, 15 May 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 15 May 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 619602@bugs.debian.org
Subject: Latest .debian.tar.gz
Date: Sun, 15 May 2011 10:01:07 -0700
[Message part 1 (text/plain, inline)]
Hi,

Attached to this email is what the latest version of the
.debian.tar.gz for The Unarchiver source package.  This version fixes
a minor typo in lsar's help output and adds manual pages for lsar and
unar.  The resulting package is lintian-clean.

I still need to make these programs run successfully when built in
unstable; if you build the package in testing, lsar and unar run
successfully.

-- 
Matt Kraai
https://ftbfs.org/kraai
[theunarchiver_2.7.1-1.debian.tar.gz (application/octet-stream, attachment)]

Changed Bug title to 'ITP: theunarchiver -- archive extractor with built-in support for multiple formats' from 'RFP: theunarchiver -- archive extractor with built-in support for multiple formats' Request was from "Julián Moreno Patiño" <darkjunix@gmail.com> to control@bugs.debian.org. (Sat, 21 May 2011 01:06:05 GMT) Full text and rfc822 format available.

Owner recorded as darkjunix@gmail.com. Request was from "Julián Moreno Patiño" <darkjunix@gmail.com> to control@bugs.debian.org. (Sat, 21 May 2011 01:06:06 GMT) Full text and rfc822 format available.

Merged 619602 627461. Request was from "Julián Moreno Patiño" <darkjunix@gmail.com> to control@bugs.debian.org. (Sat, 21 May 2011 01:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, darkjunix@gmail.com:
Bug#619602; Package wnpp. (Sat, 02 Jul 2011 00:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elías Alejandro <ealmdz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, darkjunix@gmail.com. (Sat, 02 Jul 2011 00:09:03 GMT) Full text and rfc822 format available.

Message #41 received at 619602@bugs.debian.org (full text, mbox):

From: Elías Alejandro <ealmdz@gmail.com>
To: 631460@bugs.debian.org
Cc: 619602@bugs.debian.org
Subject: unarchiver
Date: Fri, 1 Jul 2011 19:18:24 -0500
Hi Jhon,
currently exists an ITP about your RFP. (bug #619602)
maybe it could be merge.


Regards,

--
Elías Alejandro




Forcibly Merged 619602 627461 631460. Request was from "Julián Moreno Patiño" <darkjunix@gmail.com> to control@bugs.debian.org. (Sat, 02 Jul 2011 02:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Tue, 05 Jul 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri+debian@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Tue, 05 Jul 2011 16:03:03 GMT) Full text and rfc822 format available.

Message #48 received at 619602@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri+debian@boum.org>
To: Julián Moreno Patiño <darkjunix@gmail.com>
Cc: 619602@bugs.debian.org, tails-dev@boum.org
Subject: Re: Owning RFP
Date: Tue, 05 Jul 2011 17:57:41 +0200
Hi Julián,

Julián Moreno Patiño wrote (21 May 2011 01:03:47 GMT) :
> retitle 619602 ITP: theunarchiver -- archive extractor with built-in support for

What is your schedule regarding the upload of theunarchiver into the
Debian archive?

We intend [0] to ship it in Tails [1] as soon as it reaches
squeeze-backports.

  [0] https://tails.boum.org/todo/replace_non-free_unrar_with_The_Unarchiver/
  [1] https://tails.boum.org/

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | So what?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Wed, 06 Jul 2011 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julián Moreno Patiño <darkjunix@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Wed, 06 Jul 2011 22:45:07 GMT) Full text and rfc822 format available.

Message #53 received at 619602@bugs.debian.org (full text, mbox):

From: Julián Moreno Patiño <darkjunix@gmail.com>
To: intrigeri <intrigeri+debian@boum.org>, 619602@bugs.debian.org
Cc: tails-dev@boum.org, kraai@debian.org, Asias He <asias.hejun@gmail.com>
Subject: Re: Bug#619602: Owning RFP
Date: Wed, 6 Jul 2011 17:41:25 -0500
Hi,

> What is your schedule regarding the upload of theunarchiver into the
> Debian archive?

Right now there is a linking trouble with libobjc.so.2 and
libobjc.so.3 . I think that there is not a schedule defined to upload
it.

> We intend [0] to ship it in Tails [1] as soon as it reaches
> squeeze-backports.

In GNU Debian Squeeze theunarchiver works great, Matt, Asias, What are
your opinion about this ?

>  [0] https://tails.boum.org/todo/replace_non-free_unrar_with_The_Unarchiver/
>  [1] https://tails.boum.org/


Kind regards,

-- 
Julián Moreno Patiño
 .''`. Debian GNU/{Linux,KfreeBSD}
: :' : Free Operating Systems
`. `'  http://debian.org/
  `-   PGP KEY ID 6168BF60
Registered GNU Linux User ID 488513




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Thu, 07 Jul 2011 01:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Thu, 07 Jul 2011 01:54:03 GMT) Full text and rfc822 format available.

Message #58 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Julián Moreno Patiño <darkjunix@gmail.com>
Cc: intrigeri <intrigeri+debian@boum.org>, 619602@bugs.debian.org, tails-dev@boum.org, kraai@debian.org, Asias He <asias.hejun@gmail.com>
Subject: Re: Bug#619602: Owning RFP
Date: Wed, 6 Jul 2011 18:50:33 -0700
On Wed, Jul 06, 2011 at 05:41:25PM -0500, Julián Moreno Patiño wrote:
> > What is your schedule regarding the upload of theunarchiver into the
> > Debian archive?
> 
> Right now there is a linking trouble with libobjc.so.2 and
> libobjc.so.3 . I think that there is not a schedule defined to upload
> it.

The latest I heard, the toolchain needed to transition to testing
before the Objective-C transition could begin.  Once the new
Objective-C is available on all platforms in unstable, we can upload
theunarchiver there.

> > We intend [0] to ship it in Tails [1] as soon as it reaches
> > squeeze-backports.
> 
> In GNU Debian Squeeze theunarchiver works great, Matt, Asias, What are
> your opinion about this ?

According to the backports FAQ, packages should be in testing before
being uploaded to squeeze-backports.  If someone would like to check
with the backports list for an exception, I'd be happy to upload it
there first.

-- 
Matt Kraai
https://ftbfs.org/kraai




Added blocking bug(s) of 619602: 629477 Request was from Matt Kraai <kraai@ftbfs.org> to control@bugs.debian.org. (Wed, 20 Jul 2011 13:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Thu, 01 Sep 2011 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Fifield <david@bamsoftware.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Thu, 01 Sep 2011 20:57:05 GMT) Full text and rfc822 format available.

Message #65 received at 619602@bugs.debian.org (full text, mbox):

From: David Fifield <david@bamsoftware.com>
To: 619602@bugs.debian.org
Subject: unarchiver patch to run on testing
Date: Thu, 1 Sep 2011 13:25:22 -0700
[Message part 1 (text/plain, inline)]
For what it's worth, this patch makes TheUnarchiver2.7.1_src.zip build
and run for me on wheezy. It just removes -lobjc from the link command.
I also have to add -lz, which is already done by a patch in
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=30;filename=theunarchiver_2.7.1-1.debian.tar.gz;att=1;bug=619602.

Without removing -lobjc, the programs compile but enter an infinite loop
when run. They also show this warning:

gcc -Wl,--whole-archive -fexceptions -fgnu-runtime -o unar unar.o CSCommandLineParser.o CommandLineCommon.o NSStringPrinting.o libXADMaster.a ../UniversalDetector/libUniversalDetector.a -Wl,--no-whole-archive -lgnustep-base -lcrypto -lbz2 -licuuc -lobjc -lstdc++ -lm
/usr/bin/ld: warning: libobjc.so.2, needed by /usr/lib64/libgnustep-base.so, may conflict with libobjc.so.3

The relevant packages I have installed are

gobjc-4.6 4.6.1-4
libobjc2 4.5.3-5
libobjc3 4.6.1-4
libgnustep-base-dev 1.20.2-2

David Fifield
[0001-Remove-objc-from-linker-command-line.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Fri, 09 Sep 2011 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Fri, 09 Sep 2011 00:03:03 GMT) Full text and rfc822 format available.

Message #70 received at 619602@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Julián Moreno Patiño <darkjunix@gmail.com>
Cc: 619602@bugs.debian.org, Matt Kraai <kraai@ftbfs.org>
Subject: Re: Bug#619602: unarchiver patch to run on testing
Date: Fri, 09 Sep 2011 01:58:58 +0200
David Fifield wrote (01 Sep 2011 20:25:22 GMT) :
> For what it's worth, this patch makes TheUnarchiver2.7.1_src.zip
> build and run for me on wheezy. It just removes -lobjc from the link
> command.

So it seems the indication that this upload is blocked by the
gnustep/objc migration (#629477) is irrelevant, isn't it?

Bye,
--
  intrigeri <intrigeri@boum.org>
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc
  | We're dreaming of something else.
  | Something more clandestine, something happier.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Fri, 09 Sep 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Fri, 09 Sep 2011 04:03:03 GMT) Full text and rfc822 format available.

Message #75 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: intrigeri <intrigeri@boum.org>
Cc: Julián Moreno Patiño <darkjunix@gmail.com>, 619602@bugs.debian.org, Yavor Doganov <yavor@gnu.org>
Subject: Re: Bug#619602: unarchiver patch to run on testing
Date: Thu, 8 Sep 2011 20:58:41 -0700
Hi,

On Fri, Sep 09, 2011 at 01:58:58AM +0200, intrigeri wrote:
> David Fifield wrote (01 Sep 2011 20:25:22 GMT) :
> > For what it's worth, this patch makes TheUnarchiver2.7.1_src.zip
> > build and run for me on wheezy. It just removes -lobjc from the link
> > command.
> 
> So it seems the indication that this upload is blocked by the
> gnustep/objc migration (#629477) is irrelevant, isn't it?

I don't know enough about Objective-C to know if not linking against
libobjc is OK or not.  I'm copying Yavor Doganov to see if he knows.

-- 
Matt Kraai
https://ftbfs.org/kraai




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Wed, 14 Sep 2011 13:28:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Wed, 14 Sep 2011 13:28:47 GMT) Full text and rfc822 format available.

Message #80 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: Yavor Doganov <yavor@gnu.org>
Cc: intrigeri <intrigeri@boum.org>, Julián Moreno Patiño <darkjunix@gmail.com>, 619602@bugs.debian.org
Subject: Re: Bug#619602: unarchiver patch to run on testing
Date: Wed, 14 Sep 2011 06:23:21 -0700
On Wed, Sep 14, 2011 at 04:14:07PM +0300, Yavor Doganov wrote:
> On Thu, Sep 08, 2011 at 08:58:41PM -0700, Matt Kraai wrote:
> > On Fri, Sep 09, 2011 at 01:58:58AM +0200, intrigeri wrote:
> > > David Fifield wrote (01 Sep 2011 20:25:22 GMT) :
> > > > For what it's worth, this patch makes TheUnarchiver2.7.1_src.zip
> > > > build and run for me on wheezy. It just removes -lobjc from the link
> > > > command.
> > > 
> > > So it seems the indication that this upload is blocked by the
> > > gnustep/objc migration (#629477) is irrelevant, isn't it?
> > 
> > I don't know enough about Objective-C to know if not linking against
> > libobjc is OK or not.  I'm copying Yavor Doganov to see if he knows.
> 
> It depends on the particular code.  I'd say that if there are no 
> undefined symbols and the program runs fine, there's no problem.

Thanks, Yavor.  In that case, I'll remove the libobjc dependency and
upload the package to unstable tonight!

-- 
Matt Kraai
https://ftbfs.org/kraai




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Wed, 14 Sep 2011 14:36:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yavor Doganov <yavor@gnu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Wed, 14 Sep 2011 14:36:49 GMT) Full text and rfc822 format available.

Message #85 received at 619602@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: Matt Kraai <kraai@ftbfs.org>
Cc: intrigeri <intrigeri@boum.org>, Julián Moreno Patiño <darkjunix@gmail.com>, 619602@bugs.debian.org
Subject: Re: Bug#619602: unarchiver patch to run on testing
Date: Wed, 14 Sep 2011 16:14:07 +0300
On Thu, Sep 08, 2011 at 08:58:41PM -0700, Matt Kraai wrote:
> On Fri, Sep 09, 2011 at 01:58:58AM +0200, intrigeri wrote:
> > David Fifield wrote (01 Sep 2011 20:25:22 GMT) :
> > > For what it's worth, this patch makes TheUnarchiver2.7.1_src.zip
> > > build and run for me on wheezy. It just removes -lobjc from the link
> > > command.
> > 
> > So it seems the indication that this upload is blocked by the
> > gnustep/objc migration (#629477) is irrelevant, isn't it?
> 
> I don't know enough about Objective-C to know if not linking against
> libobjc is OK or not.  I'm copying Yavor Doganov to see if he knows.

It depends on the particular code.  I'd say that if there are no 
undefined symbols and the program runs fine, there's no problem.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>:
Bug#619602; Package wnpp. (Thu, 15 Sep 2011 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Kraai <kraai@ftbfs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Julián Moreno Patiño" <darkjunix@gmail.com>. (Thu, 15 Sep 2011 02:27:03 GMT) Full text and rfc822 format available.

Message #90 received at 619602@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@ftbfs.org>
To: 619602@bugs.debian.org
Subject: Removing -lobjc does not prevent problems
Date: Wed, 14 Sep 2011 19:22:39 -0700
Hi,

I tried the patch prepared by David Fifield to remove -lobjc from the
link command, but lsar still ends up linked against both libobjc2 and
libobjc3 and hanging when run.  I suspect this is because some
libraries that it links against use one and some use the other.

-- 
Matt Kraai
https://ftbfs.org/kraai




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 17 Sep 2011 08:06:13 GMT) Full text and rfc822 format available.

Reply sent to Matt Kraai <kraai@debian.org>:
You have taken responsibility. (Sat, 17 Sep 2011 13:07:55 GMT) Full text and rfc822 format available.

Notification sent to Sylvain Beucler <beuc@debian.org>:
Bug acknowledged by developer. (Sat, 17 Sep 2011 13:08:01 GMT) Full text and rfc822 format available.

Message #97 received at 619602-close@bugs.debian.org (full text, mbox):

From: Matt Kraai <kraai@debian.org>
To: 619602-close@bugs.debian.org
Subject: Bug#619602: fixed in theunarchiver 2.7.1-1
Date: Sat, 17 Sep 2011 13:03:04 +0000
Source: theunarchiver
Source-Version: 2.7.1-1

We believe that the bug you reported is fixed in the latest version of
theunarchiver, which is due to be installed in the Debian FTP archive:

theunarchiver_2.7.1-1.debian.tar.bz2
  to main/t/theunarchiver/theunarchiver_2.7.1-1.debian.tar.bz2
theunarchiver_2.7.1-1.dsc
  to main/t/theunarchiver/theunarchiver_2.7.1-1.dsc
theunarchiver_2.7.1-1_amd64.deb
  to main/t/theunarchiver/theunarchiver_2.7.1-1_amd64.deb
theunarchiver_2.7.1.orig.tar.gz
  to main/t/theunarchiver/theunarchiver_2.7.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619602@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matt Kraai <kraai@debian.org> (supplier of updated theunarchiver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Sep 2011 20:36:37 -0700
Source: theunarchiver
Binary: theunarchiver
Architecture: source amd64
Version: 2.7.1-1
Distribution: unstable
Urgency: low
Maintainer: Matt Kraai <kraai@debian.org>
Changed-By: Matt Kraai <kraai@debian.org>
Description: 
 theunarchiver - Unarchiver for a variety of file formats
Closes: 619602
Changes: 
 theunarchiver (2.7.1-1) unstable; urgency=low
 .
   * Package, closes: #619602, LP: #775617.
Checksums-Sha1: 
 c2d16afcff70b1a489a1ad2fb27290e9949ba062 1402 theunarchiver_2.7.1-1.dsc
 cb9b3b33151a937c9a9fe6770d262a963232a483 3912184 theunarchiver_2.7.1.orig.tar.gz
 0e1a1ec155b5272f4b9c928e50a9cddab96b3fe0 14548 theunarchiver_2.7.1-1.debian.tar.bz2
 5788150bab1667426d1e18f5a46cecb427bd4e06 1763576 theunarchiver_2.7.1-1_amd64.deb
Checksums-Sha256: 
 af39ff433d54ba422e29b5c6ef37a16fe2307e591f0f25319c1e11716c75b3fd 1402 theunarchiver_2.7.1-1.dsc
 3722b398fcb16d0054ce97bfd719cdbf660f06c633c23aca70e018b9e253d61a 3912184 theunarchiver_2.7.1.orig.tar.gz
 729fd7c7d104d9c188ae2abed9cfbaba16c1a581aa514727102b9ae92131a465 14548 theunarchiver_2.7.1-1.debian.tar.bz2
 9a51d74e057568b291b1f5a1f5ad04461800ea27c21be35135390a9599d4c96a 1763576 theunarchiver_2.7.1-1_amd64.deb
Files: 
 c2d9b78e50ced107fad99ba2676c725e 1402 utils optional theunarchiver_2.7.1-1.dsc
 44ba4a6099ef31e4cacab17792ce8900 3912184 utils optional theunarchiver_2.7.1.orig.tar.gz
 136089886e4e812f9349de8c962cff4e 14548 utils optional theunarchiver_2.7.1-1.debian.tar.bz2
 bb4fa11402cdfa1581b623a4e6b9e46a 1763576 utils optional theunarchiver_2.7.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk50FvEACgkQfNdgYxVXvBDbnwCgjTucO63CRG1Evu81R8QaBfLt
RuIAoKYQglUZdZDDZ4aby7IHMQYpGS0R
=dXkU
-----END PGP SIGNATURE-----





Reply sent to Matt Kraai <kraai@debian.org>:
You have taken responsibility. (Sat, 17 Sep 2011 13:08:03 GMT) Full text and rfc822 format available.

Notification sent to Julián Moreno Patiño <darkjunix@gmail.com>:
Bug acknowledged by developer. (Sat, 17 Sep 2011 13:08:07 GMT) Full text and rfc822 format available.

Reply sent to Matt Kraai <kraai@debian.org>:
You have taken responsibility. (Sat, 17 Sep 2011 13:08:14 GMT) Full text and rfc822 format available.

Notification sent to John Gilmore <gnu@toad.com>:
Bug acknowledged by developer. (Sat, 17 Sep 2011 13:08:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Oct 2011 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:53:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.